import subprocess

def test_ranking(capsys):

    out = subprocess.Popen(["python", "ranking.py"], stdout=subprocess.PIPE).communicate()[0]
    out = out.strip().split("\n")

    found_heart = False
    found_vessell = False
    # Test the timings for 2 benchmarks: Heart2 and Vessell_bottom
    for i in range(len(out)):
        if "Heart2" in out[i]:
            found_heart = True
            assert "min" in out[i+1]
            assert "160.3" in out[i+1]

            assert "avg" in out[i+2]
            assert "191.5" in out[i+2]

            assert "max" in out[i+3]
            assert "207.7" in out[i+3]

        if "Vessell_bottom" in out[i]:
            found_vessell = True
            assert "min" in out[i+1]
            assert "565.4" in out[i+1]

            assert "avg" in out[i+2]
            assert "587.3" in out[i+2]

            assert "max" in out[i+3]
            assert "607.4" in out[i+3]

    assert found_vessell and found_heart
